VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
VisiMath.Collisions.AlignedPlaneDivider Class Reference

Simplest and fastest space divider - uses plane aligned with axis Example: AlignedPlaneDivider(0, 10, -1) returns everything with all x coordinates lower then 10 as inside. More...

Inheritance diagram for VisiMath.Collisions.AlignedPlaneDivider:

List of all members.

## Public Member Functions
| AlignedPlaneDivider (int axis, float position, float sign)
| Simple plane divider.
override bool | IsFullyInside (AABox box)
| Returns true if AA box is fully inside halfspace.
override bool | IsInside (AABox box)
| Returns true if AA box is at least partialy inside halfspace.
override bool | IsFullyInside (Sphere sph)
| Returns true if sphere is fully inside halfspace.
override bool | IsInside (Sphere sph)
| Returns true if sphere is at least partialy inside halfspace.
override bool | IsInside (Vector3 point)
| Returns true if point is inside halfspace.
override bool | IsFullyInside (IConvexObject convex)
| Returns true if generic convex object is fully inside halfspace.
override bool | IsInside (IConvexObject convex)
| Returns true if generic convex object is at least partialy inside halfspace.

## Detailed Description

Simplest and fastest space divider - uses plane aligned with axis Example: AlignedPlaneDivider(0, 10, -1) returns everything with all x coordinates lower then 10 as inside.

## Constructor & Destructor Documentation

VisiMath.Collisions.AlignedPlaneDivider.AlignedPlaneDivider | ( | int | axis,
|  | float | position,
|  | float | sign
| ) |  |

Simple plane divider.

Parameters:

  axis | Axis to align with (0 = x, 1 = y, 2 = z)
  position | Position on the axis
  sign | -1 or 1, means direction of "inside"

## Member Function Documentation

override bool VisiMath.Collisions.AlignedPlaneDivider.IsFullyInside | ( | AABox | box | ) | `[virtual]`

Returns true if AA box is fully inside halfspace.

Parameters:

  box | AA box

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.AlignedPlaneDivider.IsFullyInside | ( | Sphere | sph | ) | `[virtual]`

Returns true if sphere is fully inside halfspace.

Parameters:

  sph | SPhere

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.AlignedPlaneDivider.IsFullyInside | ( | IConvexObject | convex | ) | `[virtual]`

Returns true if generic convex object is fully inside halfspace.

Parameters:

  convex | Convex object

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.AlignedPlaneDivider.IsInside | ( | Vector3 | point | ) | `[virtual]`

Returns true if point is inside halfspace.

Parameters:

  point | point

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.AlignedPlaneDivider.IsInside | ( | Sphere | sph | ) | `[virtual]`

Returns true if sphere is at least partialy inside halfspace.

Parameters:

  sph | SPhere

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.AlignedPlaneDivider.IsInside | ( | IConvexObject | convex | ) | `[virtual]`

Returns true if generic convex object is at least partialy inside halfspace.

Parameters:

  convex | Convex object

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

override bool VisiMath.Collisions.AlignedPlaneDivider.IsInside | ( | AABox | box | ) | `[virtual]`

Returns true if AA box is at least partialy inside halfspace.

Parameters:

  box | AA box

Returns:
  True if inside

Implements VisiMath.Collisions.BaseSpatialDivider.

The documentation for this class was generated from the following file:

- SpatialDivider.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events